Bug 1498496 - Handle device tree changes in QEMU 2.10.0
Summary: Handle device tree changes in QEMU 2.10.0
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm-rhev
Version: 7.5
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Miroslav Rezanina
QA Contact: Chao Yang
URL:
Whiteboard:
Keywords:
Depends On: 1484891 1492033 1501240 1501330 1501337 1501508
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-10-04 13:06 UTC by Miroslav Rezanina
Modified: 2018-11-26 12:12 UTC (History)
13 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-04-11 00:38:42 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:1104 None None None 2018-04-11 00:40 UTC
Red Hat Bugzilla 1492033 None None None 2019-05-14 11:30 UTC

Internal Trackers: 1492033

Description Miroslav Rezanina 2017-10-04 13:06:25 UTC
QEMU 2.10.0 introduced or changed some of devices. We have to ensure device tree reflects our support statement.

New devices:

- vhost-user-scsi (all archs)
- vhost-user-scsi-pci  (all archs)
- migration (all archs, no-user flag)
- mmio_interface (all archs)
- sm501 (ppc64)
- sysbus-sm501 (ppc64)
- spapr-drc-cpu (ppc64)
- spapr-drc-lmb (ppc64)
- spapr-drc-pci (ppc64)
- s390-storage_attributes-kvm (s390x)
- s390-storage_attributes-qemu (s390x)
- vfio-ccw (s390x)
- x-terminal3270 (s390x)
- z14-base-s390-cpu (s390x)
- z14-s390-cpu (s390x)
- Skylake-Server-x86_64-cpu (x86_64)

Added no-user flag (not accessible via command line):

- arm-gicv2m (aarch64)
- arm-gicv3 (aarch64)
- arm-its-kvm (aarch64)
- arm_gic (aarch64)
- armv7m_nvic (aarch64)
- armv7m_systick (aarch64)
- gpio-key (aarch64)
- kvm-arm-gic (aarch64)
- kvm-arm-gicv3 (aarch64)
- pl011 (aarch64)
- pl011_luminary (aarch64)
- pl031 (aarch64)
- pl061 (aarch64)
- pl061_luminary (aarch64)
- platform-bus-device (aarch64)
- gpex-pcihost (aarch64)
- sysbus-ohci (ppc64)
- spapr-rtc (ppc64)
- spapr-tce-table (ppc64)
- spapr-vio-bridge (ppc64)
- virtual-css-bridge
- s390-sclp-event-facility
- sclp-memory-hotplug-dev
- s390-flic
- s390-flic-kvm
- s390-flic-qemu

Removed devices:
- nec-usb-xhci (aarch64, used on others)
- spapr-dr-connector (changed to abstract base for specialized versions)

Comment 4 Miroslav Rezanina 2017-10-20 09:34:06 UTC
Fix included in qemu-kvm-rhev-2.10.0-3.el7

Comment 6 Chao Yang 2017-12-25 07:01:32 UTC
(In reply to Miroslav Rezanina from comment #0)
> QEMU 2.10.0 introduced or changed some of devices. We have to ensure device
> tree reflects our support statement.
> 

Verified pass with qemu-kvm-rhev-2.10.0-13.el7.x86_64 and qemu-kvm-ma-2.10.0-13.el7.aarch64, qemu-kvm-ma-2.10.0-13.el7.s390x

> New devices:
> 
> - vhost-user-scsi (all archs)
> - vhost-user-scsi-pci  (all archs)

Disabled by commit b303e792c3, neither visible by /usr/libexec/qemu-kvm -device ?

> - migration (all archs, no-user flag)

Verified by 1501240

> - mmio_interface (all archs)

Verified by 1501330

> - sm501 (ppc64)
> - sysbus-sm501 (ppc64)

Disabled by commit 28f294c023

> - spapr-drc-cpu (ppc64)
> - spapr-drc-lmb (ppc64)
> - spapr-drc-pci (ppc64)

Verified by 1501337

> - s390-storage_attributes-kvm (s390x)
> - s390-storage_attributes-qemu (s390x)
> - vfio-ccw (s390x)
> - x-terminal3270 (s390x)

Verified by 1492033

> - z14-base-s390-cpu (s390x)
> - z14-s390-cpu (s390x)

Verified by 1484891

> - Skylake-Server-x86_64-cpu (x86_64)
> 

Verified by 1501508

> Added no-user flag (not accessible via command line):
> 
> - arm-gicv2m (aarch64)
> - arm-gicv3 (aarch64)
> - arm-its-kvm (aarch64)
> - arm_gic (aarch64)
> - armv7m_nvic (aarch64)
> - armv7m_systick (aarch64)
> - gpio-key (aarch64)
> - kvm-arm-gic (aarch64)
> - kvm-arm-gicv3 (aarch64)
> - pl011 (aarch64)
> - pl011_luminary (aarch64)
> - pl031 (aarch64)
> - pl061 (aarch64)
> - pl061_luminary (aarch64)
> - platform-bus-device (aarch64)
> - gpex-pcihost (aarch64)

Not visible on qemu-kvm-ma-2.10.0-13.el7.aarch64

> - sysbus-ohci (ppc64)
> - spapr-rtc (ppc64)
> - spapr-tce-table (ppc64)
> - spapr-vio-bridge (ppc64)

Not visible on qemu-kvm-rhev-2.10.0-13.el7.ppc64le

> - virtual-css-bridge
> - s390-sclp-event-facility
> - sclp-memory-hotplug-dev
> - s390-flic
> - s390-flic-kvm
> - s390-flic-qemu
> 

Not visiable on qemu-kvm-ma-2.10.0-13.el7.s390x

> Removed devices:
> - nec-usb-xhci (aarch64, used on others)

Visible on qemu-kvm-rhev-2.10.0-13.el7.x86_64 but not on qemu-kvm-ma-2.10.0-13.el7.aarch64

> - spapr-dr-connector (changed to abstract base for specialized versions)

Not visible on qemu-kvm-rhev-2.10.0-13.el7.ppc64le

Comment 8 errata-xmlrpc 2018-04-11 00:38:42 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:1104

Comment 9 michael.luo 2018-11-26 09:11:15 UTC
Which version of qemu-kvm-rhev supports or will support vhost-user-scsi and vhost-user-scsi_pci?
Did Red Hat has plan to add them into qemu-kvm-rhev-2.10.0?

Comment 10 Miroslav Rezanina 2018-11-26 12:12:35 UTC
There are no plans to support these devices in this moment.


Note You need to log in before you can comment on or make changes to this bug.